Subject: bug#36558: When the user forgets the filename when using M-x grep

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 10 Jul 2019 14:22:31 +0200

積丹尼 Dan Jacobson <[email-masked]> writes:

> I don't think the M-x grep command has the ability for the user to
> change the default prompt from the current
>
> Run grep (like this): grep --color -nH --null -e
>
> to the rather more sophisticated
>
> Run grep (like this): grep --color -nH --null -e [] *
>
> where "[]" represents where the cursor should be placed when prompting
> the user.

I virtually never want to grep all files in a directory, so having to
hit `C-k' first would be a disadvantage, I think.  And this is the kind
of interface twiddling that annoys people used to the old defaults, so
I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no